# Generated by Django 3.1 on 2020-08-27 12:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import localcosmos_server.online_content.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('localcosmos_server', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DraftImageMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('microcontent_type', models.CharField(max_length=255)),
                ('position', models.IntegerField(default=1)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DraftTextMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('microcontent_type', models.CharField(max_length=255)),
                ('position', models.IntegerField(default=1)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TemplateContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('template_name', models.CharField(max_length=255)),
                ('template_type', models.CharField(choices=[('page', 'Page'), ('feature', 'Feature')], max_length=20)),
                ('app', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='localcosmos_server.app')),
            ],
        ),
        migrations.CreateModel(
            name='SlugTrail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('old_slug', models.SlugField()),
                ('new_slug', models.SlugField()),
            ],
            options={
                'unique_together': {('old_slug', 'new_slug')},
            },
        ),
        migrations.CreateModel(
            name='PublishedTextMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('microcontent_type', models.CharField(max_length=255)),
                ('position', models.IntegerField(default=1)),
                ('template_content', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PublishedImageMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('microcontent_type', models.CharField(max_length=255)),
                ('position', models.IntegerField(default=1)),
                ('template_content', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LocalizedTemplateContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(unique=True)),
                ('language', models.CharField(max_length=15)),
                ('draft_title', models.CharField(max_length=255)),
                ('published_title', models.CharField(max_length=255, null=True)),
                ('draft_navigation_link_name', models.CharField(max_length=30)),
                ('navigation_link_name', models.CharField(max_length=30, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('draft_version', models.IntegerField(default=1)),
                ('published_version', models.IntegerField(null=True)),
                ('published_at', models.DateTimeField(null=True)),
                ('translation_ready', models.BooleanField(default=False)),
                ('preview_token', models.CharField(max_length=255, null=True)),
                ('preview_token_created_at', models.DateTimeField(null=True)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='template_content_creator', to=settings.AUTH_USER_MODEL)),
                ('last_modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('template_content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontent')),
            ],
        ),
        migrations.CreateModel(
            name='LocalizedPublishedTextMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language', models.CharField(max_length=15)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('content', models.TextField(null=True)),
                ('plain_text', models.TextField(null=True)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('last_modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('microcontent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='online_content.publishedtextmicrocontent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LocalizedPublishedImageMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language', models.CharField(max_length=15)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('content', models.ImageField(upload_to=localcosmos_server.online_content.models.content_images_upload_path)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('last_modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('microcontent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='online_content.publishedimagemicrocontent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LocalizedDraftTextMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language', models.CharField(max_length=15)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('content', models.TextField(null=True)),
                ('plain_text', models.TextField(null=True)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('last_modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('microcontent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='online_content.drafttextmicrocontent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LocalizedDraftImageMicroContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language', models.CharField(max_length=15)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('content', models.ImageField(upload_to=localcosmos_server.online_content.models.content_images_upload_path)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('last_modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('microcontent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='online_content.draftimagemicrocontent')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='drafttextmicrocontent',
            name='template_content',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontent'),
        ),
        migrations.AddField(
            model_name='draftimagemicrocontent',
            name='template_content',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontent'),
        ),
        migrations.CreateModel(
            name='TemplateContentFlags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('flag', models.CharField(max_length=255)),
                ('position', models.IntegerField(default=1)),
                ('parent_flag', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontentflags')),
                ('template_content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='online_content.templatecontent')),
            ],
            options={
                'unique_together': {('template_content', 'flag')},
            },
        ),
    ]
